Page MenuHomePhabricator

Rename "JADE" extension to "Jade"
Closed, ResolvedPublic

Description

This is an annoying one, but we want to make everything consistent. See subtasks.

Related Objects

Event Timeline

awight created this task.Dec 3 2018, 7:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2018, 7:43 PM
Harej moved this task from Inbox to Product on the Jade board.Dec 3 2018, 10:08 PM

Change 476771 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/JADE@master] Throw a fit and s/JADE/Jade/

https://gerrit.wikimedia.org/r/476771

hashar added a subscriber: hashar.Dec 4 2018, 7:20 PM

We do not rename repositories in Gerrit. One would have to create a new one mediawiki/extensions/Jade then git push from the old repository to the new one. We can assist for that.

Paladox added a subscriber: Paladox.Dec 4 2018, 7:20 PM

Note that there is now a gerrit plugin that can rename repos, but it does not support 2.15 yet.

greg added a subscriber: greg.Dec 11 2018, 5:56 PM

Can this task be broken up into the sub-parts instead of a bigger multipart task? Eg: one for Gerrit, one for Phabricator, one for the changes going on internal to itself, etc. This way people can action on their specific bit and track that independently.

awight updated the task description. (Show Details)Dec 18 2018, 1:02 AM
greg removed a project: Gerrit.Dec 18 2018, 1:11 AM

Can this task be broken up into the sub-parts instead of a bigger multipart task? Eg: one for Gerrit, one for Phabricator, one for the changes going on internal to itself, etc. This way people can action on their specific bit and track that independently.

Thanks for making this point! I've split out the subtasks as suggested…

Change 476771 merged by jenkins-bot:
[mediawiki/extensions/JADE@master] Throw a fit and s/JADE/Jade/

https://gerrit.wikimedia.org/r/476771

Halfak closed this task as Resolved.Feb 26 2019, 10:24 PM
Halfak claimed this task.
Halfak added a subscriber: Halfak.

Looks like this is done.

Halfak reopened this task as Open.Feb 26 2019, 10:28 PM
Halfak moved this task from Done to Review on the Scoring-platform-team (Current) board.

I'm unresolving this because some of the child tasks are not quite done yet.

Halfak removed Halfak as the assignee of this task.Mar 8 2019, 11:18 PM
Halfak moved this task from Review to Epic on the Scoring-platform-team (Current) board.
awight removed a subscriber: awight.Mar 21 2019, 4:05 PM
Harej triaged this task as High priority.Apr 3 2019, 12:09 AM
Reedy closed this task as Resolved.Jun 4 2019, 3:59 PM
Reedy claimed this task.
Reedy added a subscriber: Reedy.

https://en.wikipedia.beta.wmflabs.org/wiki/Special:Version

Jade	0.0.1 (5b0707c) 20:29, 2 June 2019	GPL-3.0-or-later	Judgment and dialog engine	Adam Roses Wight

https://gerrit.wikimedia.org/g/mediawiki/extensions/JADE finished on d9c6005. https://gerrit.wikimedia.org/g/mediawiki/extensions/Jade has 5b0707c

QED